Package ru.bitel.bgbilling.kernel.contract.param.common.bean

# Class ContractParameterPref

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.param.common.bean.ContractParameterPref

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

@Deprecated public class ContractParameterPref extends IdTitle
Deprecated.
use `ContractParameterGroupAttr` and `ContractParameterService`
Элемент справочника параметров договоров ( как PaymentType для Payment ).
Можно сказать, что это тип типа параметра договора, если бы не тавтология.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterPref()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getSort()`
  Deprecated.
  `ContractParameterPrefType`
  `getType()`
  Deprecated.
  `boolean`
  `isAlwaysVisible()`
  Deprecated.
  `boolean`
  `isHistory()`
  Deprecated.
  `boolean`
  `isRead()`
  Deprecated.
  `boolean`
  `isWrite()`
  Deprecated.
  `void`
  `setAlwaysVisible(boolean alwaysVisible)`
  Deprecated.
  `void`
  `setHistory(boolean history)`
  Deprecated.
  `void`
  `setRead(boolean read)`
  Deprecated.
  `void`
  `setSort(int sort)`
  Deprecated.
  `void`
  `setType(ContractParameterPrefType type)`
  Deprecated.
  `void`
  `setWrite(boolean write)`
  Deprecated.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractParameterPref

    public ContractParameterPref()
    Deprecated.

- ## Method Details

  - ### getType

    public ContractParameterPrefType getType()
    Deprecated.

  - ### setType

    public void setType(ContractParameterPrefType type)
    Deprecated.

  - ### getSort

    public int getSort()
    Deprecated.

  - ### setSort

    public void setSort(int sort)
    Deprecated.

  - ### isHistory

    public boolean isHistory()
    Deprecated.

  - ### setHistory

    public void setHistory(boolean history)
    Deprecated.

  - ### isRead

    public boolean isRead()
    Deprecated.

  - ### setRead

    public void setRead(boolean read)
    Deprecated.

  - ### isWrite

    public boolean isWrite()
    Deprecated.

  - ### setWrite

    public void setWrite(boolean write)
    Deprecated.

  - ### isAlwaysVisible

    public boolean isAlwaysVisible()
    Deprecated.

  - ### setAlwaysVisible

    public void setAlwaysVisible(boolean alwaysVisible)
    Deprecated.